module.exports = {
    baseUrl: process.env.NODE_ENV === "production"||process.env.NODE_ENV=='test' ? "./" : "/",
    outputDir: process.env.outputDir,
    configureWebpack: config => {
        if (process.env.NODE_ENV === "production"||process.env.NODE_ENV=='test') {
            // 为生产环境修改配置...
            config.externals = {
                vue: "Vue",
                vuex: "Vuex",
                "element-ui": "ELEMENT",
                "vue-router": "VueRouter",
                devtool: "source-map"
            };
        } else {
            // 为开发环境修改配置...
            ("source-map");
        }
    },
    chainWebpack: config => {
        config.plugin("html").tap(args => {
            args[0].template = process.env.template;
            return args;
        });
    }
};
